"{ Package: 'cvut:stx/goodies/libtool3' }"

Change subclass:#CompositeChange
	instanceVariableNames:'name changes'
	classVariableNames:''
	poolDictionaries:''
	category:'System-Changes'
!


!CompositeChange class methodsFor:'instance creation'!

name: aString changes: aChangeSet

    ^self new
        name: aString;
        changes: aChangeSet;
        yourself.

    "Created: / 25-07-2009 / 19:36:40 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!CompositeChange methodsFor:'accessing'!

changes
    ^ changes
!

changes:aChangeSet
    changes := aChangeSet.
!

name
    ^ name
!

name:aString
    name := aString.
! !

!CompositeChange methodsFor:'applying'!

apply

    changes apply

    "Modified: / 25-07-2009 / 19:41:35 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!CompositeChange methodsFor:'printing & storing'!

printOn: aStream

    ^name printOn: aStream

    "Created: / 25-07-2009 / 19:44:25 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!CompositeChange methodsFor:'queries'!

isCompositeChange

    ^true

    "Created: / 25-07-2009 / 23:17:51 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!CompositeChange class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic3/CompositeChange.st,v 1.3 2009-10-08 12:03:28 fm Exp $'
!

version_CVS
    ^ '$Header: /cvs/stx/stx/libbasic3/CompositeChange.st,v 1.3 2009-10-08 12:03:28 fm Exp $'
!

version_SVN
    ^'Id: CompositeChange.st 118 2009-08-13 12:07:27Z vranyj1 '
! !
